<?php
session_start();

require_once './common/server/php/settings.php';
require_once FLASHCOMS_ROOT.'common/server/php/core/core.php';
require_once FLASHCOMS_ROOT.'common/server/php/core/selftest.class.php';
require_once FLASHCOMS_ROOT.'common/server/php/core/db.class.php';

function RenderPage()
{
    switch (getInputParam("action"))
    {
        case 'videochat':            showVideochat();            break;
        case 'videochatEmbedded':    showVideochatEmbedded();    break;
        default:                     showIndex();
    }
}
function showIndex()
{
    ?>
    <div class="center" style="padding:30px">
    <font style="font-size:13px;color:#336699;font-weight:bold;">Please select the application you wish to test from the menu on the left.</font>
    </div>
    <?php
}

//// Videochat ////
function showVideochat()
{
    $roomId = getInputParam("roomId");
    $uid = getInputParam("uid", "Test");
	$langId = getInputParam("langId");

    $Test = new SelfTest('Community Video Chat');
    $Test->CheckFiles(array("videochat/languages/help_content.en.xml", "videochat/languages/lang.en.xml",
	    "videochat/server/php/handlers.php", "videochat/server/php/videochat.php",
	    "videochat/settings/main.xml", "videochat/settings/menu.xml",
	    "videochat/settings/plugins.xml", "videochat/skins/main.swf",
	    "videochat/sounds/message_receive.mp3", "videochat/sounds/message_personal.mp3",
	    "videochat/sounds/message_join_left.mp3", "videochat/sounds/system.mp3",
	    "videochat/videochat.swf"));
    $Test->Output();
	?>
	<div class="center">
	<table border="0" align="center" cellpadding="5" cellspacing="0">
		<tr align="center">
			<td style="background-color:#FFFFFF" align="center">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button1" value="Test Community Video Chat (pop up mode)"
							onClick="javascript:openVideochatWindow('<?php echo $roomId; ?>', '<?php echo $uid; ?>', '<?php echo $langId; ?>');"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr align="center">
			<td style="background-color:#FFFFFF" align="center">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button2" value="Test Community Video Chat (embedded mode)" 
							onClick="javascript:location.href='./test.php?action=videochatEmbedded';"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	</div>
	<?php
}
function showVideochatEmbedded()
{
    renderApplication("videochat", array(
        "roomId" => getInputParam("roomId"),
        "uid" => getInputParam("uid", "Test"),
        "langId" => getInputParam("langId"),
    	"httpRoot" => FLASHCOMS_HTTP_ROOT, 
    	"rtmpRoot" => FLASHCOMS_RTMP_ROOT));
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Flashcoms 5.1 - Test Page</title>
    <script language="javascript" src="<?php echo FLASHCOMS_HTTP_ROOT; ?>common/js/flashcoms.js"></script>
	<style>	
	body,td,th {
		margin: 0px;
		font-family: Verdana, Arial, Helvetica, sans-serif;	font-size: 11px;
		background-color: #F7FBFD;
	}
	a { 
		font-family: Verdana, Arial, Helvetica, sans-serif;	font-size: 10px;
		color:#336699; text-decoration: none; 
	}
	a:hover { text-decoration: underline; }

	ul { padding:0px; list-style-type:none; }
	li { padding:5px; }

	.navig { border-right:2px solid #7B7B7B; }
	.navig a { display:block; padding:5px; }
	
	.test_info { padding-top:70px; padding-bottom:20px;	}
	.full_size { width:100%; height:100%; }
	.center { text-align:center; }
	.debug_link { display:block; margin-top:100px; color:#F7FBFD; }

	input {
		color:#336699;
	 	border-width:0px; border-style:None;
		font-weight:bold;
		height:27px;
		background-repeat:repeat-x;	background-image:url(common/images/submit.gif);
		padding:0px 0px 2px 0px;
		text-align:center;
		vertical-align:middle;
		font-family: Verdana, Arial, Helvetica, sans-serif;	font-size: 10px;
	}
	input.text {
		color:#336699;
	 	border-width:0px; border-style:None;
		font-weight:bold;
		height:27px;
		background-repeat:repeat-x;	background-image:url(common/images/submit.gif);
		padding:7px 0px 2px 0px;
		text-align:center;
		vertical-align:middle;
		font-family: Verdana, Arial, Helvetica, sans-serif;	font-size: 10px;
	}	
	</style>
</head>
<body>
<table width="100%" height="100%" border="0" cellpadding="5" cellspacing="1">
	<tr>
		<td colspan="2" width="100%" height="50px" style="border-bottom:2px solid #7B7B7B;">
			<a href="http://www.flashcoms.com"><img src="common/images/logo.gif" hspace="34" vspace="15" border="0" 
			alt="FlashComs - The new feel of communication" title="FlashComs - The new feel of communication"/></a>
		</td>
	</tr>
	<tr valign="top">
		<td width="12%" valign="top" nowrap class="navig">
			<a href="?action=videochat">Community Video Chat</a>
			<a href="javascript:openDebugWindow();" class="debug_link">debug</a>
		</td>
		<td style="background-color:#ffffff;"><?php RenderPage();?></td>
	</tr>
</table>
</body>
</html>
